# DataGridViewCheckBoxColumn

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.2.0.0)

* [DataGridViewElement](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md)
  * [DataGridViewBand](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewband.md)
    * [DataGridViewColumn](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md)
      * [DataGridViewCheckBoxColumn](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcolumn.md)

Represents a [DataGridView](/api/v2.2/wisej.web/lists-and-grids/datagridview.md) column that contains a collection of [DataGridViewCheckBoxCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md) cells.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewCheckBoxColumn : DataGridViewColumn
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewCheckBoxColumn
    Inherits DataGridViewColumn
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MTRl851gGvQXMvSEG1f)DataGridViewCheckBoxColumn()

Initializes a new instance of the [DataGridViewCheckBoxColumn](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcolumn.md) class to the default state.

### ![](/files/-MTRl851gGvQXMvSEG1f)DataGridViewCheckBoxColumn(cellTemplate)

Initializes a new instance of the [DataGridViewCheckBoxColumn](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcolumn.md) class to the default state.

| Name             | Type                                                                                                               | Description                                                                                                                                          |
| ---------------- | ------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| **cellTemplate** | [DataGridViewCheckBoxCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md) | An existing [DataGridViewCheckBoxCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md) to use as a template. |

## Properties

### ![](/files/-MTRl851gGvQXMvSEG1f)CellTemplate

[DataGridViewCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md): Returns or sets the template used to model cell appearance.

**Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The type is null.
* [InvalidCastException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidcastexception) The set type is not compatible with type [DataGridViewCheckBoxCell](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcell.md).

### ![](/files/-MTRl851gGvQXMvSEG1f)DefaultCellStyle

[DataGridViewCellStyle](/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md): Returns or sets the column's default cell style.

### ![](/files/-MTRl851gGvQXMvSEG1f)FalseValue

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Gets or sets the value that corresponds to false, which appears as an unchecked box.

This value is inherited by all the cells in the column that do not specify a value for this property. **Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The property [CellTemplate](#celltemplate) is null.

### ![](/files/-MTRl851gGvQXMvSEG1f)IndeterminateValue

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Gets or sets the value that corresponds to indeterminate, which appears as an indeterminate box.

This value is inherited by all the cells in the column that do not specify a value for this property. **Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The property [CellTemplate](#celltemplate) is null.

### ![](/files/-MTRl851gGvQXMvSEG1f)ThreeState

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets a value indicating if the checkbox cells support three states.

This value is inherited by all the cells in the column that do not specify a value for this property. **Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The property [CellTemplate](#celltemplate) is null.

### ![](/files/-MTRl851gGvQXMvSEG1f)TrueValue

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Gets or sets the value that corresponds to true, which appears as a checked box.

This value is inherited by all the cells in the column that do not specify a value for this property. **Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The property [CellTemplate](#celltemplate) is null.

### ![](/files/-MTRl851gGvQXMvSEG1f)ValueType

[Type](https://docs.microsoft.com/en-us/dotnet/api/system.type): Returns or sets the data type of the values in the column's cells.

## Implements

| Name                                                                                   | Description                                    |
| -------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [IWisejComponent](/api/v2.2/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface. |
| [IWisejSerializable](/api/v2.2/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v2.2/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcheckboxcolumn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
